send_nsca(8)

NAME
send_nsca - send monitoring commands to NSCA-ng server

SYNOPSIS
send_nsca [-CSstv] [-c file] [-D delay] [-d delimiter] [-e separator] [-H server] [-o timeout] [-p port]

send_nsca -h | -V

DESCRIPTION
The send_nsca utility transmits one or more check results or monitoring commands to an nsca-ng(8) server. The communication with the server is TLS encrypted and authenticated using pre-shared keys (as per RFC 4279). By default, send_nsca reads host or service check results from the standard input. Multiple check results must be separated with an ASCII ETB character (octal value: 27). Service check results are expected to be in the following format:

host[tab]service[tab]status[tab]message[newline]

where host and service are the host name and service description as configured in Nagios, status is the numeric return code, and message is the output string. Host check results are expected to be in the same format, just without the service description:

host[tab]status[tab]message[newline]

Note that multiline messages are supported.

OPTIONS

-C  Instead of accepting host or service check results in the format described above, read “raw” monitoring commands for submission to the Nagios command file from the standard input, one command per line. The commands are expected to be in the format described in the Nagios documentation; except that the leading bracketed timestamp may be omitted, in which case the current timestamp is prepended to the provided command by send_nsca.

-c file
    Read the configuration from the specified file instead of using the default configuration file /etc/send_nsca.cfg.

-D delay
    Wait for a random number of seconds between 0 and the specified delay before contacting the server. This might be useful to reduce the server load if many send_nsca clients are invoked simultaneously. The default setting is 0, which tells send_nsca to connect to the server immediately. If this option is specified, the delay setting in the send_nsca.cfg(5) file is ignored.

-d delimiter
    Use the specified delimiter instead of a horizontal tab to separate the fields when parsing host or service check results. The delimiter must be a single character, a C-style backslash escape sequence, the octal value of a character with a leading zero, or the hexadecimal value of a character prefixed with “0x”. Any ASCII character other than a backslash, newline, ETB, or NUL is allowed. This option is ignored if the -C option is specified.

-e separator
    Use the specified separator instead of an ASCII ETB character to separate multiple host or service check results. The separator must be a single character, a C-style backslash escape sequence, the octal value of a character with a leading zero, or the hexadecimal value of a character prefixed with “0x”. Any ASCII character is allowed, but note that multiline check result messages cannot be submitted if a newline character is used. This option is ignored if the -C option is specified.

-H server
    Connect and talk to the specified server address or host name. By default, send_nsca attempts to communicate with “localhost”. This option takes precedence over the server setting in the send_nsca.cfg(5) file.

-h  Print usage information to the standard output and exit.

-o timeout
    Close the connection if the server didn't respond for the specified number of seconds. If the timeout is set to 0, send_nsca won't enforce connection timeouts. The default timeout is 15 seconds. This option is provided for compatibility with NSCA 2.x. If it's specified, the timeout setting in the send_nsca.cfg(5) file is ignored.

-p port
    Connect to the specified service name or port number instead of using the default port (5668). This option takes precedence over the port setting in the send_nsca.cfg(5) file.

-S  Write all messages to the standard error output. This is the default behaviour.

-s  Send all messages (except for usage errors) to the system logger. This option may be combined with the -S option.

-t  This option is ignored. It is accepted for compatibility with NSCA 2.x.

-V  Print version information to the standard output and exit.

-v  Generate a message for each check result or monitoring command sent to the nsca-ng(8) server. This option can be specified up to three times in order to increase the verbosity.

EXIT STATUS
The send_nsca utility exits 0 on success, and >0 if an error occurs.

FILES

/etc/send_nsca.cfg
    The send_nsca.cfg(5) configuration file.

SEE ALSO
send_nsca.cfg(5), nsca-ng(8), nsca-ng.cfg(5)

http://www.nagios.org/developerinfo/externalcommands/

AUTHOR
Holger Weiss <holger@weiss.in-berlin.de>